diff --git a/message/tests/behat/display_history.feature b/message/tests/behat/display_history.feature
index bf97b30..209dcb0 100644
--- a/message/tests/behat/display_history.feature
+++ b/message/tests/behat/display_history.feature
@@ -7,8 +7,8 @@ Feature: Message history displays correctly
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | user1 | User | One | one@asd.com |
-      | user2 | User | Two | two@asd.com |
+      | user1 | User | One | one@example.com |
+      | user2 | User | Two | two@example.com |
     And I log in as "user1"
     And I send "Message 1 from user1 to user2" message to "User Two" user
     And I send "Message 2 from user1 to user2" message to "User Two" user
diff --git a/message/tests/behat/manage_contacts.feature b/message/tests/behat/manage_contacts.feature
index 9bb073f..c223abf 100644
--- a/message/tests/behat/manage_contacts.feature
+++ b/message/tests/behat/manage_contacts.feature
@@ -7,8 +7,8 @@ Feature: Manage contacts
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | user1 | User | One | one@asd.com |
-      | user2 | User | Two | two@asd.com |
+      | user1 | User | One | one@example.com |
+      | user2 | User | Two | two@example.com |
     And I log in as "user1"
     And I send "Message 1 from user1 to user2" message to "User Two" user
     And I send "Message 2 from user1 to user2" message to "User Two" user
diff --git a/message/tests/behat/message_participants.feature b/message/tests/behat/message_participants.feature
index 3de5662..eba64d9 100644
--- a/message/tests/behat/message_participants.feature
+++ b/message/tests/behat/message_participants.feature
@@ -8,10 +8,10 @@ Feature: An user can message course participants
   Scenario: An user can message multiple course participants including him/her self
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
-      | student2 | Student | 2 | student2@asd.com |
-      | student3 | Student | 3 | student3@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
+      | student2 | Student | 2 | student2@example.com |
+      | student3 | Student | 3 | student3@example.com |
     And the following "courses" exist:
       | fullname | shortname | format |
       | Course 1 | C1 | topics |
diff --git a/message/tests/behat/search_history.feature b/message/tests/behat/search_history.feature
index d0c72b6..e60a902 100644
--- a/message/tests/behat/search_history.feature
+++ b/message/tests/behat/search_history.feature
@@ -7,8 +7,8 @@ Feature: Users can search their message history
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | user1 | User | One | one@asd.com |
-      | user2 | User | Two | two@asd.com |
+      | user1 | User | One | one@example.com |
+      | user2 | User | Two | two@example.com |
     And I log in as "user1"
     When I send "Give me your biscuits" message to "User Two" user
     And I expand "My profile" node
diff --git a/mod/assign/feedback/editpdf/tests/behat/annotate_pdf.feature b/mod/assign/feedback/editpdf/tests/behat/annotate_pdf.feature
index b49f680..1b09bbe 100644
--- a/mod/assign/feedback/editpdf/tests/behat/annotate_pdf.feature
+++ b/mod/assign/feedback/editpdf/tests/behat/annotate_pdf.feature
@@ -12,8 +12,8 @@ Feature: In an assignment, teacher can annotate PDF files during grading
       | Course 1 | C1 | 0 | 1 |
     And the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "course enrolments" exist:
       | user | course | role |
       | teacher1 | C1 | editingteacher |
@@ -75,11 +75,11 @@ Feature: In an assignment, teacher can annotate PDF files during grading
       | Course 1 | C1 | 0 | 1 |
     And the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
-      | student2 | Student | 2 | student2@asd.com |
-      | student3 | Student | 3 | student3@asd.com |
-      | student4 | Student | 4 | student4@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
+      | student2 | Student | 2 | student2@example.com |
+      | student3 | Student | 3 | student3@example.com |
+      | student4 | Student | 4 | student4@example.com |
     And the following "course enrolments" exist:
       | user | course | role |
       | teacher1 | C1 | editingteacher |
diff --git a/mod/assign/tests/behat/allow_another_attempt.feature b/mod/assign/tests/behat/allow_another_attempt.feature
index 3fef74f..246b147 100644
--- a/mod/assign/tests/behat/allow_another_attempt.feature
+++ b/mod/assign/tests/behat/allow_another_attempt.feature
@@ -11,8 +11,8 @@ Feature: In an assignment, students start a new attempt based on their previous
       | Course 1 | C1 | 0 | 1 |
     And the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "course enrolments" exist:
       | user | course | role |
       | teacher1 | C1 | editingteacher |
diff --git a/mod/assign/tests/behat/comment_inline.feature b/mod/assign/tests/behat/comment_inline.feature
index c5b0427..d63d098 100644
--- a/mod/assign/tests/behat/comment_inline.feature
+++ b/mod/assign/tests/behat/comment_inline.feature
@@ -11,8 +11,8 @@ Feature: In an assignment, teachers can edit a students submission inline
       | Course 1 | C1 | 0 | 1 |
     And the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "course enrolments" exist:
       | user | course | role |
       | teacher1 | C1 | editingteacher |
diff --git a/mod/assign/tests/behat/edit_previous_feedback.feature b/mod/assign/tests/behat/edit_previous_feedback.feature
index 3019a71..e277c25 100644
--- a/mod/assign/tests/behat/edit_previous_feedback.feature
+++ b/mod/assign/tests/behat/edit_previous_feedback.feature
@@ -11,9 +11,9 @@ Feature: In an assignment, teachers can edit feedback for a students previous su
       | Course 1 | C1 | 0 | 1 |
     And the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
-      | student2 | Student | 2 | student2@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
+      | student2 | Student | 2 | student2@example.com |
     And the following "course enrolments" exist:
       | user | course | role |
       | teacher1 | C1 | editingteacher |
diff --git a/mod/assign/tests/behat/file_submission.feature b/mod/assign/tests/behat/file_submission.feature
index dd4b532..74bf9cf 100644
--- a/mod/assign/tests/behat/file_submission.feature
+++ b/mod/assign/tests/behat/file_submission.feature
@@ -11,8 +11,8 @@ Feature: In an assignment, students can upload files for assessment
       | Course 1 | C1 | 0 | 1 |
     And the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "course enrolments" exist:
       | user | course | role |
       | teacher1 | C1 | editingteacher |
diff --git a/mod/assign/tests/behat/filter_by_marker.feature b/mod/assign/tests/behat/filter_by_marker.feature
index 48e95c9..dbdddfc 100644
--- a/mod/assign/tests/behat/filter_by_marker.feature
+++ b/mod/assign/tests/behat/filter_by_marker.feature
@@ -11,10 +11,10 @@ Feature: In an assignment, teachers can filter displayed submissions by assigned
       | Course 1 | C1 | 0 | 1 |
     And the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
-      | student2 | Student | 2 | student2@asd.com |
-      | marker1 | Marker | 1 | marker1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
+      | student2 | Student | 2 | student2@example.com |
+      | marker1 | Marker | 1 | marker1@example.com |
     And the following "course enrolments" exist:
       | user | course | role |
       | teacher1 | C1 | editingteacher |
diff --git a/mod/assign/tests/behat/grading_status.feature b/mod/assign/tests/behat/grading_status.feature
index 410cfab..4551958 100644
--- a/mod/assign/tests/behat/grading_status.feature
+++ b/mod/assign/tests/behat/grading_status.feature
@@ -10,8 +10,8 @@ Feature: View the grading status of an assignment
       | Course 1 | C1 | 0 | 1 |
     And the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "course enrolments" exist:
       | user | course | role |
       | teacher1 | C1 | editingteacher |
diff --git a/mod/assign/tests/behat/group_submission.feature b/mod/assign/tests/behat/group_submission.feature
index 196bf97..6bca7a7 100644
--- a/mod/assign/tests/behat/group_submission.feature
+++ b/mod/assign/tests/behat/group_submission.feature
@@ -11,11 +11,11 @@ Feature: Group assignment submissions
       | Course 1 | C1 | 0 | 1 |
     And the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student0 | Student | 0 | student0@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
-      | student2 | Student | 2 | student2@asd.com |
-      | student3 | Student | 3 | student3@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student0 | Student | 0 | student0@example.com |
+      | student1 | Student | 1 | student1@example.com |
+      | student2 | Student | 2 | student2@example.com |
+      | student3 | Student | 3 | student3@example.com |
     And the following "course enrolments" exist:
       | user | course | role |
       | teacher1 | C1 | editingteacher |
@@ -50,8 +50,8 @@ Feature: Group assignment submissions
     And I press "Save changes"
     And I expand "Users" node
     And I follow "Groups"
-    And I add "Student 0 (student0@asd.com)" user to "Group 1" group members
-    And I add "Student 1 (student1@asd.com)" user to "Group 1" group members
+    And I add "Student 0 (student0@example.com)" user to "Group 1" group members
+    And I add "Student 1 (student1@example.com)" user to "Group 1" group members
     And I follow "Course 1"
     And I follow "Test assignment name"
     And I follow "View/grade all submissions"
@@ -71,11 +71,11 @@ Feature: Group assignment submissions
       | Course 1 | C1 | 0 | 1 |
     And the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
-      | student2 | Student | 2 | student2@asd.com |
-      | student3 | Student | 3 | student3@asd.com |
-      | student4 | Student | 4 | student4@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
+      | student2 | Student | 2 | student2@example.com |
+      | student3 | Student | 3 | student3@example.com |
+      | student4 | Student | 4 | student4@example.com |
     And the following "course enrolments" exist:
       | user | course | role |
       | teacher1 | C1 | editingteacher |
diff --git a/mod/assign/tests/behat/online_submissions.feature b/mod/assign/tests/behat/online_submissions.feature
index 4e92519..08f58b2 100644
--- a/mod/assign/tests/behat/online_submissions.feature
+++ b/mod/assign/tests/behat/online_submissions.feature
@@ -11,8 +11,8 @@ Feature: In an assignment, students can add and edit text online
       | Course 1 | C1 | 0 | 1 |
     And the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "course enrolments" exist:
       | user | course | role |
       | teacher1 | C1 | editingteacher |
diff --git a/mod/assign/tests/behat/outcome_grading.feature b/mod/assign/tests/behat/outcome_grading.feature
index 92b80c4..4a2ef09 100644
--- a/mod/assign/tests/behat/outcome_grading.feature
+++ b/mod/assign/tests/behat/outcome_grading.feature
@@ -7,9 +7,9 @@ Feature: Outcome grading
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student0 | Student | 0 | student0@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student0 | Student | 0 | student0@example.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "courses" exist:
       | fullname | shortname | category | groupmode |
       | Course 1 | C1 | 0 | 1 |
@@ -74,7 +74,7 @@ Feature: Outcome grading
   Scenario: Giving an outcome to a group submission
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | student2 | Student | 2 | student2@asd.com |
+      | student2 | Student | 2 | student2@example.com |
     And the following "course enrolments" exist:
       | user | course | role |
       | student2 | C1 | student |
@@ -85,8 +85,8 @@ Feature: Outcome grading
     And I follow "Course 1"
     And I expand "Users" node
     And I follow "Groups"
-    And I add "Student 0 (student0@asd.com)" user to "Group 1" group members
-    And I add "Student 1 (student1@asd.com)" user to "Group 1" group members
+    And I add "Student 0 (student0@example.com)" user to "Group 1" group members
+    And I add "Student 1 (student1@example.com)" user to "Group 1" group members
     And I am on homepage
     And I follow "Course 1"
     And I turn editing mode on
diff --git a/mod/assign/tests/behat/prevent_submission_changes.feature b/mod/assign/tests/behat/prevent_submission_changes.feature
index 1b4a5b0..f9b60c7 100644
--- a/mod/assign/tests/behat/prevent_submission_changes.feature
+++ b/mod/assign/tests/behat/prevent_submission_changes.feature
@@ -10,9 +10,9 @@ Feature: Prevent or allow assignment submission changes
       | Course 1 | C1 | 0 | 1 |
     And the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
-      | student2 | Student | 2 | student2@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
+      | student2 | Student | 2 | student2@example.com |
     And the following "course enrolments" exist:
       | user | course | role |
       | teacher1 | C1 | editingteacher |
diff --git a/mod/assign/tests/behat/quickgrading.feature b/mod/assign/tests/behat/quickgrading.feature
index fa1f945..1fcbe72 100644
--- a/mod/assign/tests/behat/quickgrading.feature
+++ b/mod/assign/tests/behat/quickgrading.feature
@@ -11,8 +11,8 @@ Feature: In an assignment, teachers grade multiple students on one page
       | Course 1 | C1 | 0 | 1 |
     And the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "course enrolments" exist:
       | user | course | role |
       | teacher1 | C1 | editingteacher |
@@ -50,9 +50,9 @@ Feature: In an assignment, teachers grade multiple students on one page
       | Course 1 | C1 | 0 | 1 |
     And the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
-      | student2 | Student | 2 | student2@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
+      | student2 | Student | 2 | student2@example.com |
     And the following "course enrolments" exist:
       | user | course | role |
       | teacher1 | C1 | editingteacher |
diff --git a/mod/assign/tests/behat/submission_comments.feature b/mod/assign/tests/behat/submission_comments.feature
index 6274fc5..39b2ed8 100644
--- a/mod/assign/tests/behat/submission_comments.feature
+++ b/mod/assign/tests/behat/submission_comments.feature
@@ -10,8 +10,8 @@ Feature: In an assignment, students can comment in their submissions
       | Course 1 | C1 | 0 | 1 |
     And the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "course enrolments" exist:
       | user | course | role |
       | teacher1 | C1 | editingteacher |
diff --git a/mod/book/tests/behat/create_chapters.feature b/mod/book/tests/behat/create_chapters.feature
index 0cfeecb..60035f7 100644
--- a/mod/book/tests/behat/create_chapters.feature
+++ b/mod/book/tests/behat/create_chapters.feature
@@ -10,7 +10,7 @@ Feature: In a book, create chapters and sub chapters
       | Course 1 | C1 | 0 | 1 |
     And the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
     And the following "course enrolments" exist:
       | user | course | role |
       | teacher1 | C1 | editingteacher |
diff --git a/mod/choice/tests/behat/add_choice.feature b/mod/choice/tests/behat/add_choice.feature
index bd0dbab..ee983ca 100644
--- a/mod/choice/tests/behat/add_choice.feature
+++ b/mod/choice/tests/behat/add_choice.feature
@@ -8,8 +8,8 @@ Feature: Add choice activity
   Scenario: Add a choice activity and complete the activity as a student
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
diff --git a/mod/choice/tests/behat/block_editing.feature b/mod/choice/tests/behat/block_editing.feature
index 5ee5741..e328319 100644
--- a/mod/choice/tests/behat/block_editing.feature
+++ b/mod/choice/tests/behat/block_editing.feature
@@ -34,8 +34,8 @@ Feature: Add choice activity
   Scenario: Add a choice activity as teacher and check blog menu block contain choice link.
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
@@ -67,7 +67,7 @@ Feature: Add choice activity
   Scenario: Add a choice activity as teacher (with dual role) and check blog menu block contain choice link.
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
diff --git a/mod/choice/tests/behat/change_response.feature b/mod/choice/tests/behat/change_response.feature
index 5a02fac..c877d85 100644
--- a/mod/choice/tests/behat/change_response.feature
+++ b/mod/choice/tests/behat/change_response.feature
@@ -8,8 +8,8 @@ Feature: Teacher can choose whether to allow students to change their choice res
   Scenario: Add a choice activity and complete the activity as a student
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
diff --git a/mod/choice/tests/behat/limit_responses.feature b/mod/choice/tests/behat/limit_responses.feature
index 83167ea..8356c56 100644
--- a/mod/choice/tests/behat/limit_responses.feature
+++ b/mod/choice/tests/behat/limit_responses.feature
@@ -8,9 +8,9 @@ Feature: Limit choice responses
   Scenario: Limit the number of responses allowed for a choice activity and verify the result as students
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
-      | student2 | Student | 2 | student2@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
+      | student2 | Student | 2 | student2@example.com |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
diff --git a/mod/choice/tests/behat/publish_results.feature b/mod/choice/tests/behat/publish_results.feature
index 5760380..5ed1bb0 100644
--- a/mod/choice/tests/behat/publish_results.feature
+++ b/mod/choice/tests/behat/publish_results.feature
@@ -7,8 +7,8 @@ Feature: A teacher can choose one of 4 options for publishing choice results
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
diff --git a/mod/choice/tests/behat/publish_results_anonymously.feature b/mod/choice/tests/behat/publish_results_anonymously.feature
index 0d7b5d1..f195b0f 100644
--- a/mod/choice/tests/behat/publish_results_anonymously.feature
+++ b/mod/choice/tests/behat/publish_results_anonymously.feature
@@ -7,9 +7,9 @@ Feature: A teacher can choose whether to publish choice activity results anonymo
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
-      | student2 | Student | 2 | student2@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
+      | student2 | Student | 2 | student2@example.com |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
diff --git a/mod/data/tests/behat/add_entries.feature b/mod/data/tests/behat/add_entries.feature
index d8182f3..b467a7a 100644
--- a/mod/data/tests/behat/add_entries.feature
+++ b/mod/data/tests/behat/add_entries.feature
@@ -8,8 +8,8 @@ Feature: Users can add entries to database activities
   Scenario: Students can add entries to a database
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | student1 | Student | 1 | student1@asd.com |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
+      | student1 | Student | 1 | student1@example.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
diff --git a/mod/data/tests/behat/view_entries.feature b/mod/data/tests/behat/view_entries.feature
index 833ce42..dfeeea5 100644
--- a/mod/data/tests/behat/view_entries.feature
+++ b/mod/data/tests/behat/view_entries.feature
@@ -7,8 +7,8 @@ Feature: Users can view and search database entries
   Scenario: Students can add view, list and search entries
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | student1 | Student | 1 | student1@asd.com |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
+      | student1 | Student | 1 | student1@example.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
diff --git a/mod/forum/tests/behat/add_forum.feature b/mod/forum/tests/behat/add_forum.feature
index 690ddaf..bcd4a6b 100644
--- a/mod/forum/tests/behat/add_forum.feature
+++ b/mod/forum/tests/behat/add_forum.feature
@@ -8,8 +8,8 @@ Feature: Add forum activities and discussions
   Scenario: Add a forum and a discussion attaching files
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
diff --git a/mod/forum/tests/behat/completion_condition_number_discussions.feature b/mod/forum/tests/behat/completion_condition_number_discussions.feature
index 464a382..6a01089 100644
--- a/mod/forum/tests/behat/completion_condition_number_discussions.feature
+++ b/mod/forum/tests/behat/completion_condition_number_discussions.feature
@@ -8,8 +8,8 @@ Feature: Set a certain number of discussions as a completion condition for a for
   Scenario: Set X number of discussions as a condition
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | student1 | Student | 1 | student1@asd.com |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
+      | student1 | Student | 1 | student1@example.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
diff --git a/mod/forum/tests/behat/discussion_display.feature b/mod/forum/tests/behat/discussion_display.feature
index 7b7f2b8..c01188c 100644
--- a/mod/forum/tests/behat/discussion_display.feature
+++ b/mod/forum/tests/behat/discussion_display.feature
@@ -7,7 +7,7 @@ Feature: Students can choose from 4 discussion display options and their choice
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | student1 | Student | 1 | student1@asd.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
diff --git a/mod/forum/tests/behat/edit_post_student.feature b/mod/forum/tests/behat/edit_post_student.feature
index 29f269b..6b3d5a8 100644
--- a/mod/forum/tests/behat/edit_post_student.feature
+++ b/mod/forum/tests/behat/edit_post_student.feature
@@ -7,7 +7,7 @@ Feature: Students can edit or delete their forum posts within a set time limit
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | student1 | Student | 1 | student1@asd.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
diff --git a/mod/forum/tests/behat/edit_post_teacher.feature b/mod/forum/tests/behat/edit_post_teacher.feature
index 85f9069..3cc1dfd 100644
--- a/mod/forum/tests/behat/edit_post_teacher.feature
+++ b/mod/forum/tests/behat/edit_post_teacher.feature
@@ -7,8 +7,8 @@ Feature: Teachers can edit or delete any forum post
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
diff --git a/mod/forum/tests/behat/separate_group_discussions.feature b/mod/forum/tests/behat/separate_group_discussions.feature
index 3b5978f..5ffa633 100644
--- a/mod/forum/tests/behat/separate_group_discussions.feature
+++ b/mod/forum/tests/behat/separate_group_discussions.feature
@@ -7,10 +7,10 @@ Feature: Posting to all groups in a separate group discussion is restricted to u
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | noneditor1 | Non-editing teacher | 1 | noneditor1@asd.com |
-      | noneditor2 | Non-editing teacher | 2 | noneditor2@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | noneditor1 | Non-editing teacher | 1 | noneditor1@example.com |
+      | noneditor2 | Non-editing teacher | 2 | noneditor2@example.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
diff --git a/mod/forum/tests/behat/separate_group_single_group_discussions.feature b/mod/forum/tests/behat/separate_group_single_group_discussions.feature
index d8745d1..c89a8a9 100644
--- a/mod/forum/tests/behat/separate_group_single_group_discussions.feature
+++ b/mod/forum/tests/behat/separate_group_single_group_discussions.feature
@@ -7,7 +7,7 @@ Feature: Posting to groups in a separate group discussion when restricted to gro
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email            |
-      | teacher1 | teacher1  | teacher1 | teacher1@asd.com |
+      | teacher1 | teacher1  | teacher1 | teacher1@example.com |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
